LeftDoorEvent = {};
LeftDoorEvent_mt = Class(LeftDoorEvent, Event);

InitEventClass(LeftDoorEvent, "LeftDoorEvent");

function LeftDoorEvent:emptyNew()
    local self = Event:new(LeftDoorEvent_mt );
    self.className="LeftDoorEvent";
    return self;
end;

function LeftDoorEvent:new(vehicle, DoorLeft)
    self.vehicle = vehicle;
    self.DoorLeft = DoorLeft;
    return self;
end;

function LeftDoorEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.DoorLeft = streamReadBool(streamId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function LeftDoorEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
    streamWriteBool(streamId, self.DoorLeft );
end;

function LeftDoorEvent:run(connection)
    self.vehicle:setLeftDoor(self.DoorLeft, true);
	if not connection:getIsServer() then
		g_server:broadcastEvent(LeftDoorEvent:new(self.vehicle, self.DoorLeft), nil, connection, self.object);
	end;
end;

function LeftDoorEvent.sendEvent(vehicle, DoorLeft, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then 
			g_server:broadcastEvent(LeftDoorEvent:new(vehicle, DoorLeft), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(LeftDoorEvent:new(vehicle, DoorLeft));
		end;
	end;
end;



